### Name: ideal
### Title: analysis of educational testing data and roll call data with IRT
###   models, via Markov chain Monte Carlo methods
### Aliases: ideal
### Keywords: models

### ** Examples

data(s109)

## ridiculously short run for examples
n <- dim(s109$legis.data)[1]
x0 <- rep(0,n)
x0[s109$legis.data$party=="D"] <- -1
x0[s109$legis.data$party=="R"] <- 1

id1 <- ideal(s109,
             d=1,
             startvals=list(x=x0),
             normalize=TRUE,
             store.item=TRUE,
             maxiter=100,
             burnin=0,
             thin=10,
             verbose=TRUE)  
summary(id1)

## Not run: 
##D ## more realistic long run
##D idLong <- ideal(s109,
##D                 d=1,
##D                 priors=list(xpv=1e-12,bpv=1e-12),
##D                 normalize=TRUE,
##D                 store.item=TRUE,
##D                 maxiter=260e3,
##D                 burnin=1e4,
##D                 thin=100)  
## End(Not run)



